CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2004-2129

SurfNOW 2.2 allows remote attackers to cause a denial of service (crash) via a series of long HTTP GET requests, possibly triggering a buffer overflow.
Publish Date : 2004-12-31 Last Update Date : 2016-10-17
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceOverflow
CWE ID CWE id is not defined for this vulnerability

- Products Affected By CVE-2004-2129

# Product Type Vendor Product Version Update Edition Language
1 Application Loom Software Surfnow Professional 1.2 Version Details Vulnerabilities
2 Application Loom Software Surfnow Professional 1.4 Version Details Vulnerabilities
3 Application Loom Software Surfnow Professional 1.5 Version Details Vulnerabilities
4 Application Loom Software Surfnow Professional 1.6 Version Details Vulnerabilities
5 Application Loom Software Surfnow Professional 2.0 Version Details Vulnerabilities
6 Application Loom Software Surfnow Professional 2.1 Version Details Vulnerabilities
7 Application Loom Software Surfnow Professional 2.2 Version Details Vulnerabilities
8 Application Loom Software Surfnow Standard 1.2 Version Details Vulnerabilities
9 Application Loom Software Surfnow Standard 1.4 Version Details Vulnerabilities
10 Application Loom Software Surfnow Standard 1.5 Version Details Vulnerabilities
11 Application Loom Software Surfnow Standard 1.6 Version Details Vulnerabilities
12 Application Loom Software Surfnow Standard 2.0 Version Details Vulnerabilities
13 Application Loom Software Surfnow Standard 2.1 Version Details Vulnerabilities
14 Application Loom Software Surfnow Standard 2.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Loom Software Surfnow Professional 7
Loom Software Surfnow Standard 7

- References For CVE-2004-2129

http://www.securityfocus.com/bid/9519
BID 9519 Loom Software SurfNow Remote HTTP GET Request Denial Of Service Vulnerability Release Date:2009-07-12
http://xforce.iss.net/xforce/xfdb/14976
XF surfnow-get-dos(14976)
http://marc.info/?l=bugtraq&m=107530924723559&w=2
BUGTRAQ 20040128 Denial Of Service in SurfNOW 2.2

- Metasploit Modules Related To CVE-2004-2129

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.